Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.cache.filter
Class CacheFilter

    java.lang.Object
      weblogic.cache.filter.CacheFilter

All Implemented Interfaces:
  Filter

public class CacheFilter
extends Object
implements Filter

A `Filter` implementation that is able to cache attributes and results from standard requests and responses. To use this filter webapps must specify it in their deployment descriptor. The `CacheFilter` has several configuration options `timeout` the time-to-live on cached entries, by default cached entries never timeout. `max-cache-size` the maximum size of an element that can be cached, by default `MAX_CACHED_SIZE` `size` the size of the cache, default unbounded `scope` the scope of cached values, by default application. `key` FIXME `vars` FIXME `verbose` whether caching operations should be logged, by default off.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `MAX_CACHED_SIZE`

Constructor Summary
`CacheFilter()`

Method Summary
`void` | `destroy()` Destroy the CacheFilter
`void` | `doFilter(ServletRequest req, ServletResponse res, FilterChain chain)` Filter and cache servlet requests and responses.
`protected weblogic.cache.KeySet` | `getKeySet(weblogic.cache.CacheSystem cs)`
`void` | `init(FilterConfig config)` Initialize the CacheFilter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_CACHED_SIZE

    public static final long MAX_CACHED_SIZE

See Also:
  Constant Field Values

Constructor Detail

### CacheFilter

    public CacheFilter()

Method Detail

### destroy

    public void destroy()

  Destroy the CacheFilter

  Specified by:
    `destroy` in interface `Filter`

### doFilter

    public void doFilter(ServletRequest req,
                         ServletResponse res,
                         FilterChain chain)
                  throws ServletException,
                         IOException

  Filter and cache servlet requests and responses.

  Specified by:
    `doFilter` in interface `Filter`
  Parameters:
    `req` -
    `res` -
    `chain` -
  Throws:
    `ServletException`
    `IOException`

### getKeySet

    protected weblogic.cache.KeySet getKeySet(weblogic.cache.CacheSystem cs)
                                       throws weblogic.cache.CacheException

  Throws:
    `weblogic.cache.CacheException`

### init

    public void init(FilterConfig config)
              throws ServletException

  Initialize the CacheFilter

  Specified by:
    `init` in interface `Filter`
  Parameters:
    `config` -
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD